안녕하세요
뷰포트를 저장하는 리습이 되었다 안되었다 합니다.
경로도 바꿔봤는데 안되고요
고수님들 도와주세요 ㅠㅅㅠ
;;;;;;;;원하는 지점으로 이동(ver.2019);;;;;;;;;;;;;;;
(defun c:q (/ Program FilesAutodeskAutoCAD 2019);;윈도우 중심점과 연계하기
(vl-load-com)
(setq fn (getvar “DWGPREFIX”))
(setq tit (open “C:Program FilesAutodeskAutoCAD 2019” “acad”))
(setq cwxy (getvar “VIEWCTR”)) ;;뷰중심포인트
(setq cwsz (getvar “VIEWSIZE”)) ;;뷰크기
(setq cwszy (/ cwsz 2.0))(setq cwszx (* cwszy 1.5))
;;뷰중심 계산
(setq ux (- (car cwxy) cwszx)) (setq uy (+ (cadr cwxy) cwszy))
(setq lx (+ (car cwxy) cwszx)) (setq ly (- (cadr cwxy) cwszy))
;(command “zoom” “w” (list ux uy) (list lx ly))
(write-line (strcat (rtos ux) “,” (rtos uy)) tit) ;;좌상
(write-line (strcat (rtos lx) “,” (rtos ly)) tit) ;;우하
(write-line (strcat (rtos (car cwxy)) “,” (rtos (cadr cwxy))) tit) ;;중심점
(write-line (rtos cwsz) tit) ;;뷰크기
(close tit)
(print “중심점 저장됨..>뷰이동가능”)
)
(defun c:qq (/ Program FilesAutodeskAutoCAD 2019);;윈도우 중심점과 연계하기
(vl-load-com)
(setq fn (getvar “DWGPREFIX”))
(setq tit (open “C:Program FilesAutodeskAutoCAD 2019” “acad”))
(setq uxy (read-line tit))
(setq lxy (read-line tit))
(setq cxy (read-line tit))
(setq siz (read-line tit))
(command “zoom” “w” uxy lxy)
(command “zoom” “c” cxy siz)
(close tit)
)
(defun c:gen14 ()
(setvar “cmdecho” 0)
(setq xx1 (ssget)) ;; “x” ‘((0 . “LWPOLYLINE”))))
(setq num (sslength xx1))
(setq nun nun)
(setq index 0)
(repeat num
(setq entl (entget (ssname xx1 index)))
(setq index (1+ index))
(setq inddd (+ index 5))
(if (= (rem inddd 4) 1)
(setq zz ” / “)
(if (= (rem inddd 4) 2)
(setq zz ” - “)
(if (= (rem inddd 4) 3)
(setq zz ” | “)
(setq zz ” \ “)
)))
(setq ass (assoc 0 entl))
(setq cha (cdr (assoc 8 entl)))
(if (= “LWPOLYLINE” (cdr ass))
(progn
(setq se1 (car entl))
(setq se2 (cdr se1))
(command “pedit” se2 “L” “on” “”)
(prompt “r”) (prompt zz) (prompt ” Full Pline type ON..”) (princ index) (prompt “/”) (princ num)
)
)
)
(princ)
)